The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Error from ssl wrapper: Unable to produce a valid Apache configuration file.

Discussion in 'EasyApache' started by park6469, Feb 15, 2010.

  1. park6469

    park6469 Registered
    PartnerNOC

    Joined:
    Aug 17, 2009
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    I tried to install an SSL recently on one of my shared hosting servers and received the following error after trying to install the Key/SSL cert:

    Error from ssl wrapper: Unable to produce a valid Apache configuration file.

    I have installed SSL's on this server before, but this is the first time I have received this message. I have tried to restart Apache (litespeed actually), and even the cPanel service. I am reluctant to rebuild Apache using the EasyApache feture right now because I am afraid to break customers' sites.

    Any recommendations on how to troubleshoot this further?
     
  2. cPanelDon

    cPanelDon cPanel Quality Assurance Analyst
    Staff Member

    Joined:
    Nov 5, 2008
    Messages:
    2,557
    Likes Received:
    7
    Trophy Points:
    38
    Location:
    Houston, Texas, U.S.A.
    cPanel Access Level:
    DataCenter Provider
    Twitter:
    Does the issue still occur after disabling LiteSpeed, so that Apache/httpd is used instead of LiteSpeed?
     
  3. MediaServe

    MediaServe Well-Known Member
    PartnerNOC

    Joined:
    Apr 9, 2004
    Messages:
    126
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Nashville, TN USA
    cPanel Access Level:
    DataCenter Provider
    Twitter:
    I always have this problem too, and we run Apache (2.0 or 2.2 on all servers and none of them will properly install an SSL cert from within the control panel.)
     
  4. AcenetBD

    AcenetBD Registered
    PartnerNOC

    Joined:
    Nov 4, 2008
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    Same issue here on multiple servers. All have standard cPanel sanctioned Apache builds with no errors. The SSLs install fine in WHM, just not a user's cPanel.

    Error is:

    "Unable to Reproduce a Valid Apache Config File"

    'service httpd configtest' results in: Syntax OK

    seems like a new bug.
     
  5. asent

    asent Active Member

    Joined:
    Apr 5, 2005
    Messages:
    33
    Likes Received:
    0
    Trophy Points:
    6
    I've seen that error too. Latest STABLE. Worked around it with manual edits to the apache config (vhost).
     
  6. AcenetBD

    AcenetBD Registered
    PartnerNOC

    Joined:
    Nov 4, 2008
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    I have a ticket/bug report open on this, I'll update this thread with any relevant information.
     
  7. AcenetBD

    AcenetBD Registered
    PartnerNOC

    Joined:
    Nov 4, 2008
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    The issue with cPanel SSL installs in our case was related to mod_security. 3 mod_security rules were being triggered when attempting to install an SSL via cPanel.

    However, after commenting out those 3 rules the "Unable to produce a valid Apache configuration file." error persisted. Disabling mod_security completely did resolve the issue, but this didn't really make sense because no rules were being triggered. Why would mod_security be the culprit if no rules were being triggered?

    At the advice of the cPanel tech helping me, I reinstalled mod_security by recompiling Apache. I just ran EasyApace with all of the same existing settings. This worked. SSLs can now be installed via a user's cPanel with mod_security enabled.

    Unfortunately I cannot say what the issue actually was. Just that recompiling Apache with all of existing settings fixed it.
     
Loading...

Share This Page